import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/goodsConf/` + url, ...arg)

/**
 * 提货时间配置表Api接口管理器
 *
 * @author sandy
 * @date  2025/03/27 10:54
 **/
export default {
	// 获取提货时间配置表分页
	goodsConfPage(data) {
		return request('page', data, 'get')
	},
	// 提交提货时间配置表表单 edit为true时为编辑，默认为新增
	goodsConfSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除提货时间配置表
	goodsConfDelete(data) {
		return request('delete', data)
	},
	// 获取提货时间配置表详情
	goodsConfDetail(data) {
		return request('detail', data, 'get')
	}
}
